#############################################################################################
#############################################################################################
##
## DIRECTORIES
##
#############################################################################################
#############################################################################################

APPLICATION_PATH     ?=   $(PROJECT_ROOT)application/
DEPLOYMENT_PATH      ?=   $(PROJECT_ROOT)deployment/
DEVELOPMENT_PATH     ?=   $(PROJECT_ROOT)development/
DOCUMENTATION_PATH   ?=   $(PROJECT_ROOT)documentation/
REQUIREMENT_PATH     ?=   $(PROJECT_ROOT)requirement/
CREDENTIALS_PATH     ?=   $(PROJECT_ROOT)credential/
 
RESOURCE_PATH        ?=   $(APPLICATION_PATH)resource/
SOURCE_PATH          ?=   $(APPLICATION_PATH)source/
WEB_PATH             ?=   $(APPLICATION_PATH)web/
SCRIPTS_PATH         ?=   $(DEVELOPMENT_PATH)script/
BUILD_PATH            =   $(DEPLOYMENT_PATH)build/
VENDOR_PATH          ?=   $(DEPLOYMENT_PATH)vendor/

PROJECT_DIRECTORIES :=  $(PROJECT_DIRECTORIES)  \
	$(APPLICATION_PATH) \
	$(RESOURCE_PATH) \
	$(SOURCE_PATH) \
	$(WEB_PATH) \
	$(DEPLOYMENT_PATH) \
	$(VENDOR_PATH) \
	$(DEVELOPMENT_PATH) \
	$(SCRIPTS_PATH) \
	$(DOCUMENTATION_PATH) \
	$(REQUIREMENT_PATH)  \
	$(CREDENTIALS_PATH) \
	$(BUILD_PATH)
	