#############################################################################################
#############################################################################################
##
## VERSIONS
##
#############################################################################################
#############################################################################################

VERSION_BIN 	     := version
EXECUTABLES = $(EXECUTABLES:-) $(VERSION_BIN)

RELEASE_FILE ?= $(PROJECT_ROOT)release.json
 
ifeq ("$(wildcard $(RELEASE_FILE))","")
  $(shell echo '{"version":"0.1.0"}' > $(RELEASE_FILE))
endif

PROJECT_VERSION ?= $(shell cat $(RELEASE_FILE) | jq -r .version)
PROJECT_BUILD_DATE ?= $(shell $(VERSION_BIN) date)


.PHONY: next-patch-version
## create next-patch-version
next-patch-version:
	$(QUIET) $(ECHO) "Creating next version"
	$(QUIET) $(VERSION_BIN) patch --path $(RELEASE_FILE) --selector "version"
	$(QUIET) $(eval PROJECT_VERSION := $(shell cat $(RELEASE_FILE) | jq -r .version))
